function Phh(){}
function Ehh(a){this.a=a}
function Hhh(a){this.a=a}
function Rhh(a){this.a=a}
function hqf(a,b){a.a=b;return a}
function iqf(a){a.e=100;return a}
function jqf(){this.c=new dXd;PD();this.d=HAj}
function jgf(){this.b=IA($doc);this.a=IA($doc)}
function Pmd(a){a.a.pe(0,2);Lmd(a.a.c,0,2)[kDj]=lbk}
function Nmd(a,b,d){var e;a.a.pe(b,1);e=Lmd(a.a.c,b,1);Lz(e,d4j,d.a)}
function Gph(a){var b;if(!a.d){b=new Phh;a.d=b}return a.d}
function Chh(a,b,d,e){vGd.call(this,a,b,d);this.a=e;this.b=new g1i(A2b)}
function Vu(a,b,d,e){var g;_u(a,b,d);g=Mu(a,b,d,e==null);e!=null&&Iz(g,e)}
function kgf(a,b){if(a==0||b==0)return 0;return x3c(i3c(Math.round(b/a*100)))}
function gqf(a){var b,d,e,g,i,j;j=0;i=false;for(d=a.a,e=0,g=d.length;e<g;++e){b=d[e];if(b.c){i=true;break}++j}return i?j:-1}
function Ghh(a,b){var d,e;d=hoj(b);if(r8i(d,tHj).b.b!=(Kmj(),Jmj)){e=Y0i(a.a.b,r8i(d,tHj));Ohh(a.a.A,e)}else{Ohh(a.a.A,null)}}
function Bhh(a){var b,d;b=eff();B8i(f8i(b),BIj,KEj);d=new P8i;A8i(r8i(d,kHj),'engine-statistics');F8i(r8i(d,mHj),b);noj(new Gnj(d),new Hhh(a))}
function Fph(a){var b;if(!a.c){b=new Chh(FFd(Cce(a.a)),Gph(a),Eph(a),(Roj(iee(a.a)),U1i(gee(a.a)),IMg(wde(a.a))));RFd((Dce(a.a),b),OGd(Dce(a.a)));a.c=b}return a.c}
function Ohh(a,b){var d;d=new aff(vM(D0c,ayj,-1,[j3c(b.tI().a),b.uI().a,b.vI().a,b.pI().a,b.rI().a,b.nI().a,b.oI().a,b.qI().a,j3c(b.mI().a),j3c(b.wI().a),j3c(b.sI().a)]));eqf(a.b,d)}
function igf(a,b,d){var e,g,i;g=Snd(a.c,a.a);i=kgf(b,d);if(i>0){Fz(g,OBj,ljk+i+MBj);Fz(g,mjk,ljk+i+MBj)}else{Fz(g,OBj,njk);Fz(g,mjk,njk)}e=new Q4c;P4c(O4c((PQd(e.a,"<span style='padding-right:5px;'>"),e),i+MBj),X0j);Iz(g,(new S4c(e.a.a.a)).a)}
function eqf(a,b){var d,e,g,i,j,k,n,o,p;p=1;g=gqf(a);if(g>b.a.b)throw new vo(ojk+g+pjk+b.a.b);e=_Od(g>=0?(new YOd(PNd(gg(b.a,g)))).a:vzj);for(j=a.a,k=0,n=j.length;k<n;++k){i=j[k];o=p-1;d=gg(b.a,o);if(null==d)throw new vo(qjk+o+rjk);Xu(a.b,p,1,d);if(!!i.a&&k3c(e.a,Nyj)){igf(gg(a.c,o),x3c(e.a),(new uOd(NNd(d))).a)}else if(!!i.a&&m3c(e.a,Nyj)){throw new vo(sjk)}++p}}
function fqf(a){var b,d,e,g,i,j,k,n,o,p;i=new Zwd;Gz((jgd(),i.gb),C0j);Wwd(i,new Lnd("<div class='metric-table-title'>"+a.d+g4j));a.b=new bv;Fz(xr(a.b),kDj,a.e+MBj);Vu(a.b,0,0,'Metric');Vu(a.b,0,1,'Actual');Vu(a.b,0,2,mDj);Nmd(a.b.d,0,(mod(),lod));j=1;for(d=a.a,e=0,g=d.length;e<g;++e){b=d[e];Vu(a.b,j,0,"<div class='metric-table-label'>"+b.d+':<\/div>');Vu(a.b,j,1,HAj);WWd(a.c,new jgf);if(b.a){k=gg(a.c,j-1);Yu(a.b,j,2,(n=new Q4c,P4c(n,"<div id='"+k.b+"'><div id='"+k.a+"'/><\/div>"),k.c=new Tnd(new S4c(n.a.a.a)),o=Snd(k.c,k.b),tz(o,'stacked-bar-total'),Fz(o,OBj,whk),Fz(o,mjk,'width:100%!important'),p=Snd(k.c,k.a),tz(p,'stacked-bar-actual'),uA(p,HAj),k.c));igf(k,0,0)}else Xu(a.b,j,2,HAj);Nmd(a.b.d,j,lod);b.c&&cod(a.b.f,j,'metric-table-baseline');++j}Omd(a.b.d,0,0,tjk);Omd(a.b.d,0,1,tjk);Omd(a.b.d,0,2,tjk);Pmd(a.b.d);Wwd(i,a.b);return i}
var vjk='Teiid Metrics',njk='background:none',mjk='cssText',tjk='metric-table-header';I3c(2516,1,{},jgf);I3c(2687,1,{},jqf);_.a=null;_.e=100;I3c(4591,1008,jzj,Chh);_.Si=function(){this.A.a=this;lI(this.v,(mvf(),lvf),this)};_.Uk=function(){uq((nq(),mq),new Ehh(this))};_.Xi=function(){this.B&&Bhh(this)};_._i=function(){Pvf(this.a,this)};I3c(4592,1,{},Ehh);_.wd=function(){Bhh(this.a)};I3c(4593,1295,{},Hhh);_.td=function(a){KYd('Failed to retrieve query engine statistics for Teiid',a._b())};_.fh=function(a){Ghh(this,a)};I3c(4596,1412,hzj,Phh);_.Ch=function(){var a,b,d,e,g,i,j,k,n,o,p,q,r,s;r=new Ojj;Ijj(r,new Ejj((EYd(),Vik),new Rhh(this)));p=new ggf(yRj,'Session Count');o=new ggf(ARj,'Memory in Use(KB)');n=new ggf(CRj,'Memory Used By Active Plans(KB)');g=new ggf(ERj,'Buffer Disk Reads');i=new ggf(GRj,'Buffer Disk Writes');b=new ggf(IRj,'Buffer Cache Reads');d=new ggf(KRj,'Buffer Cache Writes');q=new ggf(MRj,'Disk Space In Use(MB)');a=new ggf(ORj,'Active Plan Count');s=new ggf(QRj,'Waiting Plan Count');k=new ggf(SRj,'Maximum Plans Waiting Water Mark');e=vM(V1c,byj,195,[p,o,n,g,i,b,d,q,a,s,k]);this.b=iqf(hqf(new jqf,e),PD());j=LCe(OCe(TCe(PCe(SCe(new UCe,ujk),vjk),r),'Metrics for teiid subsystem'),vjk,fqf(this.b));return MCe(j)};I3c(4597,1,wyj,Rhh);_.me=function(a){Bhh(this.a.a)};I3c(4753,1,Qzj);_.ud=function(){nHd(this.b,Fph(this.a.a))};var S3b=lOd(4591),O3b=lOd(4592),P3b=lOd(4593),U3b=lOd(4596),T3b=lOd(4597),Rub=lOd(2687),Frb=lOd(2516);CAj(mp)(76);